package be.iminds.ilabt.jfed.experimenter_gui.editor.ribbon_tabs;

import javafx.fxml.FXML;

/**
 * User: twalcari
 * Date: 7/1/2014
 * Time: 10:48
 */
public class GenericEditorRibbonComponentGroupController {

    private final EditorRibbonTab editorRibbonTab;

    public GenericEditorRibbonComponentGroupController(EditorRibbonTab editorRibbonTab) {
        this.editorRibbonTab = editorRibbonTab;
    }

    @FXML
    private void onStartExperimentAction() {
        editorRibbonTab.getActiveExperimentEditor().startExperiment();
    }

    @FXML
    private void onSaveExperimentAction() {
        editorRibbonTab.getActiveExperimentEditor().save();
    }

    @FXML
    private void onReserveExperimentAction() {
        editorRibbonTab.getActiveExperimentEditor().createReservation();
    }
}
